# Fee Distribution

Haircut (swap fee) collected is automatically distributed when its value exceeds `Pool.mintFeeThreshold` during deposit and withdrawal transactions. This value is usually set at a value of about $10 USD. Alternatively, users can call `Pool.mintFee(address token)`, which is supported from V3 pool contracts, to instantly distribute fees.

Haircut is distributed in 3 portions:

* LP dividend: A certain amount of haircut is distributed to LPs, which is determined by `Pool.lpDividendRatio`. The underlying token amount for LPs increases accordingly. The ratio can be checked using `Pool.exchangeRate(address token)`.
* Retention: Some haircut is retained in the tip bucket of the pool. The ratio could be checked by `Pool.retentionRatio`. It can be used to fill the pool if the retention factor drops below 1, or retrieved by the pool owner for other uses.
* Remaining haircut are transferred to `feeTo` address

### Current Allocation

{% hint style="info" %}
The value shown in the above table might be outdated. Please refer to the [smart contract](/developers/contracts.md) for the latest value.
{% endhint %}

Currently, 50% of haircuts are allocated to "LP dividend" and the remaining 50% are allocated to "Retention". For USD+ family of assets, haircuts allocated to "Retention" are transferred to `feeTo` to ensure proper skimming.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wombat.exchange/concepts/fees/fee-distribution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
